<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_f6f8f9"
    android:orientation="vertical"
    tools:ignore="MissingDefaultResource">

    <include
        android:id="@+id/toolbar_include"
        layout="@layout/common_toolbar_layout" />

    <TextView
        android:id="@+id/tv_phone"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="12dp"
        android:layout_marginTop="15dp"
        android:text="--"
        android:textColor="@color/black"
        android:textSize="20sp" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="15dp"
        android:background="@color/white">

        <EditText
            android:id="@+id/et_password"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_48"
            android:background="@null"
            android:gravity="center_vertical"
            android:hint="请输入6-20位密码"
            android:inputType="textPassword"
            android:paddingLeft="14dp"
            android:paddingRight="14dp"
            android:textColor="@color/color_1a1a1a"
            android:textColorHint="@color/color_999999"
            android:textSize="@dimen/sp_16"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/view_line"
            android:layout_width="match_parent"
            android:layout_height="1px"
            android:layout_marginLeft="12dp"
            android:background="@color/divide_color_f0f0f0"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/et_password" />

        <EditText
            android:id="@+id/et_auth_code"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_48"
            android:background="@null"
            android:gravity="center_vertical"
            android:hint="请输入验证码"
            android:inputType="number"
            android:maxLength="6"
            android:paddingLeft="14dp"
            android:paddingRight="14dp"
            android:textColor="@color/color_1a1a1a"
            android:textColorHint="@color/color_999999"
            android:textSize="@dimen/sp_16"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/view_line" />

        <TextView
            android:id="@+id/tv_get_auth_code"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_48"
            android:layout_marginRight="12dp"
            android:gravity="center"
            android:text="获取验证码"
            android:textColor="@color/color_01c0b5"
            android:textSize="@dimen/sp_14"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/view_line" />
    </androidx.constraintlayout.widget.ConstraintLayout>


    <TextView
        android:id="@+id/tv_confirm"
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:layout_marginLeft="28dp"
        android:layout_marginTop="20dp"
        android:layout_marginRight="28dp"
        android:layout_marginBottom="48dp"
        android:background="@drawable/shape_course_status_ing"
        android:gravity="center"
        android:text="确定"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_14" />

</LinearLayout>